Bug 128590 - [LOCALHELP] Add Auto-redact help page
Summary: [LOCALHELP] Add Auto-redact help page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium normal
Assignee: Rafael Lima
URL:
Whiteboard: target:7.3.0
Keywords:
: 131406 (view as bug list)
Depends on:
Blocks: HelpGaps-NewFeatures Redaction
  Show dependency treegraph
 
Reported: 2019-11-04 13:49 UTC by Olivier Hallot
Modified: 2021-08-18 09:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-11-04 13:49:35 UTC
Automatic redaction extended the redaction feature and has no Help page

Source : https://wiki.documentfoundation.org/ReleaseNotes/6.4#Core_.2F_General

Blog post: https://www.collaboraoffice.com/company-news/auto-redaction-feature/

Note: 
- Add new Help page for autoredaction e.g. 'autoredaction.xhp' in the same folder as redaction.xhp, 
- cross-link to /text/shared/guide/redaction.xhp
Comment 1 Xisco Faulí 2019-11-25 10:15:32 UTC
Moving to NEW
Comment 2 Olivier Hallot 2020-03-18 16:34:33 UTC
*** Bug 131406 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2021-07-12 15:21:00 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/e30dc2a0cd25a3c81bfbbcd61283c67ea66e0c32

tdf#128590 Create Auto-Redact help page
Comment 4 Dieter 2021-08-03 12:46:43 UTC
I could find a page for Redaction [1] and Automatic Redaction [2]. Rafael, thank you for that work! Would be helpful, if links to those help pages and a short information about redaction would be part of the Tools Help-Page [3]

cc: Rafael Lima

[1] https://help.libreoffice.org/7.3/en-GB/text/shared/guide/redaction.html?&DbPAR=WRITER&System=WIN

[2] https://help.libreoffice.org/7.3/en-GB/text/shared/guide/auto_redact.html?&DbPAR=WRITER&System=WIN

[3] https://help.libreoffice.org/7.3/en-GB/text/swriter/main0106.html?&DbPAR=WRITER&System=WIN
Comment 5 Rafael Lima 2021-08-12 18:10:19 UTC
Hi Dieter. Agreed, will work on that.
Comment 6 Commit Notification 2021-08-13 10:52:30 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/71310fc95c2eed25eb8fa8c16953fe6e0c735b74

Related tdf#128590 Update Tools menu help page
Comment 7 Dieter 2021-08-16 07:36:45 UTC
Rafael, thanks for working on it, but I still can't see it here:

https://help.libreoffice.org/7.3/en-GB/text/swriter/main0106.html?&DbPAR=WRITER&System=WIN
Comment 8 Rafael Lima 2021-08-16 13:57:33 UTC
(In reply to Dieter from comment #7)
> Rafael, thanks for working on it, but I still can't see it here:

It takes some time until the help is built and updated in the link you mentioned. I guess it is done every week, but not always.

Check again in a few days. At the latest it'll be updated next week.
Comment 9 Dieter 2021-08-18 06:54:05 UTC
(In reply to Rafael Lima from comment #8)
> It takes some time until the help is built and updated in the link you
> mentioned. I guess it is done every week, but not always.
> 
> Check again in a few days. At the latest it'll be updated next week.

Now it is part of the help page, but below the heading the following message appears: "D'oh! You found a bug (text/shared/guide/redaction.xhp#redaction_desc not found)."
Comment 10 Olivier Hallot 2021-08-18 09:04:27 UTC
(In reply to Dieter from comment #9)
(snip)

> Now it is part of the help page, but below the heading the following message
> appears: "D'oh! You found a bug
> (text/shared/guide/redaction.xhp#redaction_desc not found)."

The "D'oh!" will be automatically fixed when the new page is returned from weblate cycle and loaded in the code. en-GB is a "foreign" language. Change it to en-US and the "D'oh !" will vanish.
Comment 11 Dieter 2021-08-18 09:17:35 UTC
(In reply to Olivier Hallot from comment #10)
> The "D'oh!" will be automatically fixed when the new page is returned from
> weblate cycle and loaded in the code. en-GB is a "foreign" language. Change
> it to en-US and the "D'oh !" will vanish.

Olivier, thanks for explanation. I always thought, that en-GB is the "original"! I confirm, that it is fixed in https://help.libreoffice.org/7.3/en-US/text/swriter/main0106.html?&DbPAR=WRITER&System=WIN
=> VERIFIED FIXED

Rafael, thanks for fixing it!